import cadquery as cq

positions = [(0, 0), (0, 23), (58, 23), (58, 0)]

stands = (
    cq.Sketch().push(positions).circle(3, mode="a").circle(2.65 / 2, mode="s")
)
pillar_height = 7

elements = [
    # CPU holder stands
    {
        "x": 0,
        "y": 0,
        "shape": stands,
        "height": pillar_height,
    }
]